YUI.add('files-uploader-templates', function (Y, NAME) {

"use strict";
var engine, tmpl = function (Y, $e, data) {
var $b='', $v=function (v){return v || v === 0 ? v : $b;}, $t='\n\n<p class="uploader-header">\n    <span class="uploader-filename">File name</span>\n    <span class="uploader-filesize">File size</span>\n    <span class="uploader-filestatus">Progress</span>\n</p>\n\n<div class="uploader-body uploader-follow">\n\n    <div class="uploader-nofiles">\n        <p class="uploader-dd-area">'+
$e($v( data.noFilesSelectedLabel ))+
'</p>\n        <div class="uploader-dd-proxy"></div>\n    </div>\n\n    <ul class="uploader-files"></ul>\n\n</div>\n\n<div class="uploader-status">\n    '+
$e($v( data.noFilesSelectedLabel ))+
'\n</div>\n\n<div class="uploader-controls">\n    <a class="cta secondary uploader-cancel">'+
$e($v( data.cancelLabel ))+
'</a>\n    <button disabled="disabled" class="cta uploader-start">'+
$e($v( data.uploadLabel ))+
'</button>\n</div>\n\n';
return $t;
};
engine = new Y.Template();
Y.Template.register("t-uploader-base", engine.revive(tmpl));

var engine, tmpl = function (Y, $e, data) {
var $b='', $v=function (v){return v || v === 0 ? v : $b;}, $t='\n\n<li data-id="'+
$e($v( data.fileId ))+
'" id="'+
$e($v( data.fileId ))+
'_row" class="uploader-file"></li>\n\n';
return $t;
};
engine = new Y.Template();
Y.Template.register("t-uploader-filerow", engine.revive(tmpl));

var engine, tmpl = function (Y, $e, data) {
var $b='', $v=function (v){return v || v === 0 ? v : $b;}, $t='\n\n<div class="file-name uploader-filename">\n    <span class="fn">'+
$e($v( data.file.get('name') ))+
'</span>\n</div>\n\n<div class="file-size uploader-filesize">'+
$e($v( data.host.getFriendlySize(data.file.get('size')) ))+
'</div>\n\n<div class="uploader-filestatus file-status file-'+
$e($v(data.file.get('status').toLowerCase()))+
'">\n';
 switch (data.file.get('status')) { case Y.U1.Widgets.Uploader.CANCELLED: 
$t+='\n        <span>'+
$e($v( data.host.get('strings.cancelled') ))+
'</span>\n    ';
 break; case Y.U1.Widgets.Uploader.COMPLETE: 
$t+='\n        <span>'+
$e($v( data.host.get('strings.complete') ))+
'</span>\n    ';
 break; case Y.U1.Widgets.Uploader.UPLOADING: 
$t+='\n        <progress max="100" value="'+
$e($v( data.percent ))+
'"></progress>\n    ';
 break; case Y.U1.Widgets.Uploader.FAILED: 
$t+='\n        <span>'+
$e($v( data.host.get('strings.failed') ))+
'</span>\n    ';
 break; default: 
$t+='\n        '+
$e($v( data.host.get('strings.not_started') ))+
'\n';
 } 
$t+='\n</div>\n\n';

// no cancel link for completed, cancelled or failed files
if(!data.host.testFileState(data.file, [
    Y.U1.Widgets.Uploader.COMPLETE,
    Y.U1.Widgets.Uploader.FAILED,
    Y.U1.Widgets.Uploader.CANCELLED
])) {


$t+='\n    <div class="file-cancel uploader-filecancel">\n        <span>×</span>\n    </div>\n\n';
 }

if (data.host.testFileState(data.file, Y.U1.Widgets.Uploader.FAILED)) {


$t+='\n    <div class="file-retry uploader-fileretry">\n        <span>↻</span>\n    </div>\n\n';
 } 
$t+='\n\n\n\n';
return $t;
};
engine = new Y.Template();
Y.Template.register("t-uploader-file", engine.revive(tmpl));





}, '@VERSION@', {"requires": ["template"]});
