YUI.add('iedownload', function (Y, NAME) {

"use strict";
/*global WINDOWS_INSTALL_URL, WINDOWS_CLIENT_URL */
/**
 * Facilitate downloading of the IE client by using a window to avoid
 * Browser security warnings fired when trying to download via direct
 * download through JS/iframe/meta refresh
 */

    var namespace = Y.namespace('ONE.IEDownloads');
    namespace.init = function(UA) {
        var ie = UA || Y.UA.ie,
        downloadNodeList;

        if (ie > 0 && ie <= 8) {
            downloadNodeList = Y.all('a[href="'+WINDOWS_INSTALL_URL+'"]');
            if (downloadNodeList.size() > 0) {
                downloadNodeList.on('click', function(e) {
                    e.preventDefault();
                    window.open(WINDOWS_CLIENT_URL, 'download', 'toolbar=0, location=no, directories=0, status=0, scrollbars=no, resizable=0, width=1, height=1, top=0, left=0');
                    window.focus();
                    location.href = WINDOWS_INSTALL_URL;
                });
            }

            return true;
        }
        return false;
    };


}, '@VERSION@', {
    "requires": [
        "node-base",
        "node-event-delegate",
        "node-pluginhost",
        "node-screen",
        "node-style",
        "event-base",
        "event-delegate",
        "event-synthetic",
        "event-mousewheel",
        "event-mouseenter",
        "event-key",
        "event-focus",
        "event-resize",
        "event-hover",
        "event-outside"
    ]
});
