var app = Y.one('.app'),
    hudWrapper = app.one('.app-hud-wrapper'),
    block = false,
    scroll = function () {

        if(block) {
            return;
        }

        var scrollTop = app.get('docScrollY'),
            hudTop = app.get('offsetTop'),
            hudBottom = scrollTop + hudWrapper.get('clientHeight'),
            footerOffsetTop = Y.one('.footer').get('offsetTop'),
            clsTop = 'hud-sticky-top',
            clsBottom = 'hud-sticky-bottom';

        if(scrollTop > hudTop) {
            hudWrapper.addClass(clsTop);
        } else {
            hudWrapper.removeClass(clsTop);
        }

        if(hudBottom >= footerOffsetTop) {
            hudWrapper.addClass(clsBottom);
        } else {
            hudWrapper.removeClass(clsBottom);
        }

        block = true;

        Y.later(20, this, function () {
            block = false;
        });

    };

app.addClass('hud-enabled');

Y.one('window').on(['scroll', 'domready'], scroll);
Y.config.win.addEventListener('pageshow', scroll, false);
