'use strict';

(function() {
    describe('uploader-myapps-packages-for-extraction', function() {
        var Y, up;

        before(function(done) {
            Y = YUI().use(
                'uploader-myapps-packages-for-extraction', function(Y) {

                Y.one('body').append(Y.Node.create('<div class="devportal-form"/>'));

                done();
            });

        });

        beforeEach(function (done) {

            up = new Y.UploaderMyappsPackagesForExtraction();

            done();

        });

        describe('#initializer()', function () {

            it('should be loaded', function() {
                expect(Y.UploaderMyappsPackagesForExtraction).to.exist;
            });

            it('should be instansiable', function() {
                expect(new Y.UploaderMyappsPackagesForExtraction()).to.exist;
            });

        });

        describe('#updateVersion()', function () {

            it('should always return true', function() {
                expect(up.updateVersion()).to.be.true;
            });

        });

    });
})();
